/*
    $Id: ActionRequest.java,v 1.2 2003/07/14 06:09:38 admin Exp $
    -----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package action;
import java.util.*;

public class ActionRequest {
    Hashtable data;
    Hashtable remarks;
    
    public ActionRequest(
	boolean replaying, // vC̃tB^ʉ߂ł邩B
	String channel, // `l
	String ifghost, // IfGhost
	String script, // XNvg(߃obNXbV͚LjɊւĂB)
	String slpp_server) { // SLPPT[o["zXg:slpp|[g"
	
	data = new Hashtable();
	data.put("replaying", replaying ? "true" : "false");
	data.put("channel", channel);
	data.put("ifghost", ifghost);
	data.put("script", script);
	data.put("slpp-server", slpp_server);

	remarks = new Hashtable();
    }

    public void setRemark(String key, String value) {
	// ׂtB
	remarks.put(key, value);
    }

    public String getRemark(String key, String value) {
	// ׂoB
	return (String)data.get(key);
    }

    public void setRemarks(Hashtable rem) {
	remarks.putAll(rem);
    }

    public Hashtable getRemarks() {
	return data; // ̍XȂƁB
    }

    public boolean getIfReplaying() {
	return ((String)data.get("replaying")).equals("true");
    }
    
    public String getChannel() {
	return (String)data.get("channel");
    }

    public String getIfGhost() {
	return (String)data.get("ifghost");
    }

    public String getScript() {
	return (String)data.get("script");
    }

    public String getSlppServer() {
	return (String)data.get("slpp-server");
    }
}
