/*
	$Id: AdminMessageWindowController.java,v 1.1.1.1 2003/04/08 14:55:46 admin Exp $
	-----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package gui;
import com.apple.cocoa.foundation.*;
import com.apple.cocoa.application.*;
import java.util.*;

public class AdminMessageWindowController extends NSWindowController
{
    NSTextField fld_msg_body;
    NSTextField fld_time_stamp;
    NSTextField fld_client_version;
    
    public AdminMessageWindowController(String msg)
    {
		super("AdminMessage");
		loadWindow();
		window().center();
		
		Calendar cal = Calendar.getInstance();
		String timestamp = cal.get(Calendar.HOUR) + ":" + cal.get(Calendar.MINUTE) + ":" + cal.get(Calendar.SECOND);
		
		fld_msg_body.setStringValue(msg);
		fld_time_stamp.setStringValue(timestamp);
		
		String app_name = NSBundle.mainBundle().localizedStringForKey("CFBundleShortVersionString","SSTP Bottle Client for MacOS X","InfoPlist");
		fld_client_version.setStringValue(app_name);
    }
    
    public void show()
    {
		showWindow(this);
		window().setLevel(NSWindow.ModalPanelWindowLevel);
    }
}
